<template>
  <div class="i-header">
    <div class="i-header__wrapper">
      <div class="i-header__content">
        <div class="i-header__background" />
        <!-- <div class="i-header-rounded-corner i-header-rounded-corner--left">
          <div class="i-header-rounded-corner__circle" />
        </div> -->
        <button v-if="back" type="button" class="i-header-button i-header-button--left" @click="goBack()">
          <img src="~assets/images/header-back-arrow-white.svg" class="i-header-button__image" />
        </button>
        <div class="i-header__title">{{ title }}</div>
        <button v-if="back" type="button" class="i-header-button i-header-button--right" disabled>
          <img v-if="false" src="~assets/images/header-back-arrow-white.svg" class="i-header-button__image" />
        </button>
      </div>
    </div>
  </div>
</template>

<script>
  export default {
    props: {
      title: {
        type: String,
        default: 'Title',
      },
      back: {
        type: [Boolean, String, Object],
        default: false,
      },
    },

    methods: {
      goBack() {
        if (this.back && typeof this.back === 'boolean') {
          return this.$router.go(-1);
        }

        if (this.back) {
          return this.$router.push(this.back);
        }
      },
    },
  };
</script>

<style lang="scss">
  .i-header {
    display: flex;
    width: 100%;
    height: rs(44px);
  }

  .i-header__wrapper {
    position: fixed;
    z-index: 999;
    top: 0;
    left: 0;
    right: 0;
    display: flex;
    align-items: flex-start;
    justify-content: center;
    height: rs(44px);
    overflow: hidden;
  }

  .i-header__content {
    position: relative;
    display: flex;
    width: 100%;
    max-width: 480px;
    height: rs(44px);
    align-items: center;
    justify-content: center;
  }

  .i-header__background {
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    box-sizing: content-box;
    width: 100%;
    height: rs(500px);
    background-image: linear-gradient(228.35deg, #ffb15e 1.93%, #fb7474 82.66%);
    // background-color: #f67759;
  }

  .i-header__title {
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    font-size: rf(20px);
    color: #fff;
    font-weight: bold;
  }

  .i-header-button {
    flex-basis: rs(60px);
    width: rs(60px);
    height: rs(44px);
    border: 0;
    background-color: transparent;
    padding: rs(7px) rs(7px);
    cursor: pointer;

    &:disabled {
      cursor: default;
    }

    &--left {
      text-align: left;
      margin-right: auto;
    }

    &--right {
      text-align: right;
      margin-left: auto;
    }
  }

  .i-header-button__image {
    width: rs(30px);
    height: rs(30px);
  }
</style>
